Subject: Re: bug#19887: 24.4; Cannot kill buffer; Wrong type argument: overlayp, nil

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Feb 2015 17:49:44 +0200

> From: Damian Nadales <[email-masked]>
> Date: Tue, 17 Feb 2015 16:04:54 +0000
> 
> Running Emacs 24.4, compiled from source I found I cannot kill a buffer when
> performing these steps:
> 
> - Run emacs –Q
> 
> - Create an org-mode file (i.e. ``myorgfile.org``)
> 
> - Insert the following text:
> 
> o #+BEGIN_SRC C++
> 
> #+END_SRC
> 
> - Edit the source block by placing the cursor inside the SRC block.
> 
> - Start C++ mode (c++-mode)
> 
> - Try to kill the buffer.

I cannot reproduce this.  I tried both Emacs 24.4 and the pretest of
24.5.  In both cases, Emacs asks me whether to kill a buffer that is
modified, and once I answer YES, the buffer is killed.

Is it possible that you are using Org mode from the Org repository,
not the one bundled with Emacs?